0

Curso de microserviços com spring boot

#Spring Boot
Denner Evangelista
Denner Evangelista

Olá galera!!


Vim aqui expor minha experiência com do curso de microserviços com spring boot do bootcamp Santander.


Verifiquei que estava com problemas para rodar os projetos e não conseguia avançar no curso. Fui verificar no github do professor algumas configurações que poderiam esta dando conflito, e uma das configurações era a versão do spring, do professor esta na versão 2.2.6, porém no site start.spring.io a versão atual é 2.5.2. Para solucionar o problema de compatibilidade fui no arquivo build.gradle e alterei a versão, como mostrado na foto no cabeçalho do artigo. Mesmo assim, ainda não estava conseguindo compilar o código.

Pesquisei na documentação do spring que na configuração das dependências, o compile foi depreciado e que agora deve ser substituido por implementation.


Após fazer essas configurações meu projeto rodou.

Não esqueçam também que a versão do JDK tem que ser a 11, ou conforme a versão que você baixou no site start.spring.io.


Obrigado galera, vamos codar!

0
0

Comentários (0)

Programador com conhecimentos em Angular, Spring Boot, HTML, CSS, Javascript, Java, Python, Web Design, MySQL, Postgres

Brasil